import { ElFontIconPackParams, ElIconPackParams } from './icon-pack';
export interface ElIconOptions {
    [name: string]: any;
}
export interface ElIcon {
    getClasses(options?: ElIconOptions): string[];
    getContent(options?: ElIconOptions): string;
}
export declare class ElFontIcon implements ElIcon {
    protected name: any;
    protected content: any;
    protected params: ElFontIconPackParams;
    constructor(name: any, content: any, params?: ElFontIconPackParams);
    getClasses(options?: ElIconOptions): string[];
    getContent(options?: ElIconOptions): string;
}
export declare class ElSvgIcon implements ElIcon {
    protected name: any;
    protected content: any;
    protected params: ElIconPackParams;
    constructor(name: any, content: any, params?: ElIconPackParams);
    getClasses(options?: ElIconOptions): string[];
    getContent(options?: ElIconOptions): string;
}
